### Function

# Gio Icon new_for_string

since: 2.20

#### Declaration

    GIcon*
    g_icon_new_for_string (
      const gchar* str,
      GError** error
    )

#### Description

Generate a `GIcon` instance from `str`. This function can fail if `str` is not valid - see `g_icon_to_string()` for discussion.

If your application or library provides one or more `GIcon` implementations you need to ensure that each `GType` is registered with the type system prior to calling g_icon_new_for_string().

Available since: 2.20

#### Parameters

`str`

  Type: `const gchar*`

  A string obtained via g_icon_to_string().

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIcon`

An object implementing the `GIcon` interface or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.